.popup {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1000;
    overflow: hidden;
    display: none;
    &_active,
    &_open,
    &_in,
    &_out {
        display: flex;
    }
    &__area {
        z-index: 5;
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
    }
    &__scroll {
        width: 100%;
        overflow: hidden;
        overflow-y: scroll;
        -webkit-overflow-scrolling: touch;
        display: flex;
        z-index: 10;
    }
    &__content {
        max-width: 100%;
        margin: auto;
        z-index: 10;
        @popup__content-padding();
        transform: @popup__content-transform_in;
        display: none;
        &_open {
            transform: @popup__content-transform_open;
            display: block;
        }
        &_in {
            display: block;
            animation: popup__content-in @popup__content-duration_in @popup__content-easing_in both;
        }
        &_out {
            display: block;
            animation: popup__content-out @popup__content-duration_out @popup__content-easing_out both;
        }
    }
    &__close {
        position: fixed;
        z-index: 15;
        top: 0;
        right: 0;
        @popup__close-padding();
        transform: @popup__close-transform_in;
        &_open {
            transform: @popup__close-transform_open;
        }
        &_in {
            animation: popup__close-in @popup__close-duration_in @popup__close-easing_in both;
        }
        &_out {
            animation: popup__close-out @popup__close-duration_out @popup__close-easing_out both;
        }
    }
    &__overlay {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        z-index: 5;
        background-color: @popup__overlay-bg;
        display: none;
        opacity: 0;
        &_open {
            display: block;
            opacity: 1;
        }
        &_in {
            display: block;
            animation: popup__overlay-in @popup__overlay-duration_in @popup__overlay-easing_in both;
        }
        &_out {
            display: block;
            animation: popup__overlay-out @popup__overlay-duration_out @popup__overlay-easing_out both;
        }
    }
}

.html_popup {
    html,
    body {
        overflow: hidden;
    }
}
